DriverManagerDataSourceBase (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.impl

## Class DriverManagerDataSourceBase

- java.lang.Object
- - com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
  - - com.mchange.v2.c3p0.impl.IdentityTokenResolvable
    - - com.mchange.v2.c3p0.impl.DriverManagerDataSourceBase

- All Implemented Interfaces:
    IdentityTokenized, java.io.Serializable, javax.naming.Referenceable
  Direct Known Subclasses:
    DriverManagerDataSource, FreezableDriverManagerDataSource

      public abstract class DriverManagerDataSourceBase
      extends IdentityTokenResolvable
      implements javax.naming.Referenceable, java.io.Serializable

  This class was generated by com.mchange.v2.c3p0.codegen.BeangenDataSourceGenerator.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `description`
    `protected java.lang.String` | `driverClass`
    `protected java.lang.String` | `factoryClassLocation`
    `protected boolean` | `forceUseNamedDriverClass`
    `protected java.lang.String` | `jdbcUrl`
    `protected java.beans.PropertyChangeSupport` | `pcs`
    `protected java.util.Properties` | `properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DriverManagerDataSourceBase(boolean autoregister)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)`
    `void` | `addPropertyChangeListener(java.lang.String propName, java.beans.PropertyChangeListener pcl)`
    `protected java.lang.String` | `extraToStringInfo()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getDriverClass()`
    `java.lang.String` | `getFactoryClassLocation()`
    `java.lang.String` | `getIdentityToken()`
    `java.lang.String` | `getJdbcUrl()`
    `java.util.logging.Logger` | `getParentLogger()`
    `java.util.Properties` | `getProperties()`
    `java.beans.PropertyChangeListener[]` | `getPropertyChangeListeners()`
    `protected java.beans.PropertyChangeSupport` | `getPropertyChangeSupport()`
    `javax.naming.Reference` | `getReference()`
    `boolean` | `isForceUseNamedDriverClass()`
    `void` | `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)`
    `void` | `removePropertyChangeListener(java.lang.String propName, java.beans.PropertyChangeListener pcl)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setDriverClass(java.lang.String driverClass)`
    `void` | `setFactoryClassLocation(java.lang.String factoryClassLocation)`
    `void` | `setForceUseNamedDriverClass(boolean forceUseNamedDriverClass)`
    `void` | `setIdentityToken(java.lang.String identityToken)`
    `void` | `setJdbcUrl(java.lang.String jdbcUrl)`
    `void` | `setProperties(java.util.Properties properties)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.mchange.v2.c3p0.impl.IdentityTokenResolvable

      `doResolve, readResolve, verifyResolve`

    - ### Methods inherited from class com.mchange.v2.c3p0.impl.AbstractIdentityTokenized

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### pcs

          protected java.beans.PropertyChangeSupport pcs

    - #### description

          protected java.lang.String description

    - #### driverClass

          protected java.lang.String driverClass

    - #### factoryClassLocation

          protected java.lang.String factoryClassLocation

    - #### forceUseNamedDriverClass

          protected boolean forceUseNamedDriverClass

    - #### jdbcUrl

          protected java.lang.String jdbcUrl

    - #### properties

          protected java.util.Properties properties

  - ### Constructor Detail

    - #### DriverManagerDataSourceBase

          public DriverManagerDataSourceBase(boolean autoregister)

  - ### Method Detail

    - #### getPropertyChangeSupport

          protected java.beans.PropertyChangeSupport getPropertyChangeSupport()

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getDriverClass

          public java.lang.String getDriverClass()

    - #### setDriverClass

          public void setDriverClass(java.lang.String driverClass)

    - #### getFactoryClassLocation

          public java.lang.String getFactoryClassLocation()

    - #### setFactoryClassLocation

          public void setFactoryClassLocation(java.lang.String factoryClassLocation)

    - #### isForceUseNamedDriverClass

          public boolean isForceUseNamedDriverClass()

    - #### setForceUseNamedDriverClass

          public void setForceUseNamedDriverClass(boolean forceUseNamedDriverClass)

    - #### getIdentityToken

          public java.lang.String getIdentityToken()

      Specified by:
        `getIdentityToken` in interface `IdentityTokenized`

    - #### setIdentityToken

          public void setIdentityToken(java.lang.String identityToken)

      Specified by:
        `setIdentityToken` in interface `IdentityTokenized`

    - #### getJdbcUrl

          public java.lang.String getJdbcUrl()

    - #### setJdbcUrl

          public void setJdbcUrl(java.lang.String jdbcUrl)

    - #### getProperties

          public java.util.Properties getProperties()

    - #### setProperties

          public void setProperties(java.util.Properties properties)

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(java.lang.String propName,
                                                java.beans.PropertyChangeListener pcl)

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(java.lang.String propName,
                                                   java.beans.PropertyChangeListener pcl)

    - #### getPropertyChangeListeners

          public java.beans.PropertyChangeListener[] getPropertyChangeListeners()

    - #### getParentLogger

          public java.util.logging.Logger getParentLogger()
                                                   throws java.sql.SQLFeatureNotSupportedException

      Throws:
        `java.sql.SQLFeatureNotSupportedException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### extraToStringInfo

          protected java.lang.String extraToStringInfo()

    - #### getReference

          public javax.naming.Reference getReference()
                                              throws javax.naming.NamingException

      Specified by:
        `getReference` in interface `javax.naming.Referenceable`
      Throws:
        `javax.naming.NamingException`